Summary:	Matroska multimedia file utils
Name:		mkvtoolnix
Version:	9.7.1
Release:	1
Url:		http://www.bunkus.org/videotools/mkvtoolnix/
Source0:	https://mkvtoolnix.download/sources/%{name}-%{version}.tar.xz
Source1:	https://mkvtoolnix.download/sources/%{name}-%{version}.tar.xz.sig
License:	GPLv2+ and LGPLv2+
Group:		Video
BuildRequires:	bzip2-devel
BuildRequires:	libebml-devel >= 1.3.0
BuildRequires:	liblzo-devel
BuildRequires:	pkgconfig(libmatroska) >= 1.4.4
BuildRequires:	magic-devel
BuildRequires:	wxgtku-devel
BuildRequires:	pkgconfig(expat)
BuildRequires:	pkgconfig(flac)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libpcre)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	boost-devel >= 1.46
BuildRequires:  qt5-devel
BuildRequires:	ruby

%description
These tools allow information about (mkvinfo) or extraction
from (mkvdemux) or creation of (mkvmerge) or the splitting of
(mkvsplit) Matroska files. Matroska is a new multimedia file
format aiming to become THE new container format for the future. You
can find more information about it and its underlying technology, the
Extensible Binary Meta Language (EBML), at http://www.matroska.org/

%files -f %{name}.lang
%doc ChangeLog* COPYING README*
%{_bindir}/*
%{_datadir}/applications/mkvinfo.desktop
%{_datadir}/icons/hicolor/*/apps/*.*
%{_datadir}/mime/packages/%{name}.xml
%{_mandir}/man1/*
%lang(ca) %{_mandir}/ca/man1/*
%lang(de) %{_mandir}/de/man1/*
%lang(es) %{_mandir}/es/man1/*
%lang(ja) %{_mandir}/ja/man1/*
%lang(ko) %{_mandir}/ko/man1/*
%lang(nl) %{_mandir}/nl/man1/*
%lang(pl) %{_mandir}/pl/man1/*
%lang(uk) %{_mandir}/uk/man1/*
%lang(zh_CN) %{_mandir}/zh_CN/man1/*
%{_datadir}/applications/mkvtoolnix-gui.desktop

#----------------------------------------------------------------------------

%prep
%setup -q

%build
# Add workaround for bug in gcc 4.7.2_2012.07
# otherwise configure won't find lambda functions support
%setup_compile_flags
export CXXFLAGS=`echo $CXXFLAGS | sed s/-gdwarf-4//`

# No curl to avoid "ne version" pop-up
%configure2_5x --with-wx-config=%{_bindir}/wx-config-unicode --without-curl
./drake %{_smp_mflags}

%install
./drake install DESTDIR=%{buildroot}
%find_lang %{name}

%changelog
